//go:build !windows
// +build !windows

package utils

import "os"

// isRunningAsAdmin 检查当前进程是否以管理员权限运行 (Unix/Linux/macOS)
func isRunningAsAdmin() bool {
	// 在Unix系统中，检查是否为root用户
	return os.Getuid() == 0
}
